<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Developer: Brandon Davis (NetriX)
| Website: PHPFusionMods.com
|  _   _      _        ___  __
| | \ | | ___| |_ _ __(_) \/ /
| |  \| |/ _ \ __| '__| |\  / 
| | |\  |  __/ |_| |  | |/  \ 
| |_| \_|\___|\__|_|  |_/_/\_\
|
| Do not remove the copyright footer without the developers
| consent. You may request the consent of removal by contacting
| me at the following email address: netrix@phpfusionmods.com
|
| Thank You,
| Brandon (NetriX)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES . "templates/header.php";

if (file_exists(INFUSIONS . "who_is_where/locale/" . $settings['locale'] . ".php")) {
    include INFUSIONS . "who_is_where/locale/English.php";
    include INFUSIONS . "who_is_where/locale/" . $settings['locale'] . ".php";
} else {
    include INFUSIONS . "who_is_where/locale/English.php";
}

add_to_title(" - {$lang['title']}");

if ($_GET['aid']) {
    redirect("index.php").die();
}

$count = 1;

opentable($lang['title']);
$query = dbquery("SELECT w.who, w.url, u.user_id, u.user_name, u.user_avatar FROM " .
    DB_PREFIX . "who_is_where w
                    LEFT JOIN " . DB_USERS .
    " u ON w.who=u.user_id ORDER BY time DESC");
if (dbrows($query)) {
    echo "<table cellpadding='0' cellspacing='1' width='90%' class='tbl-border center'>\n";
    echo "<tr>\n<td class='tbl2' colspan='2'><strong>{$lang['who']}</strong></td><td class='tbl2'><strong>{$lang['where']}</strong></a></td></tr>";
    while ($info = dbarray($query)) {
        $class = ($count % 2 == 0 ? "tbl2" : "tbl1");
        if ($info['who'] > 0) {
            $profile = "<a href='" . BASEDIR . "profile.php?lookup={$info['who']}' title='' />{$info['user_name']}</a>";
            if ($info['user_avatar'] && file_exists(IMAGES . "avatars/" . $info['user_avatar'])) {
                $avatar = "<img src='" . IMAGES . "avatars/" . $info['user_avatar'] .
                    "' alt='' style='width:30px; height:30px;' />\n";
            } else {
                $avatar = "<img src='" . IMAGES .
                    "avatars/noavatar100.png' alt='' style='width:30px; height:30px;' />\n";
            }
        } else {
            $profile = "Guest";
            $avatar = "<img src='" . IMAGES .
                "avatars/noavatar100.png' alt='' style='width:30px; height:30px;' />\n";
        }
        echo "<tr>\n<td class='" . $class . "' width='1%'>" . $avatar .
            "</td><td class='" . $class . "'>" . $profile . "</td><td class='" . $class .
            "'><a href='{$info['url']}' title='{$info['url']}' />" . trimlink($info['url'],
            60) . "</a></a></td></tr>";
        $count++;
    }
    echo "</table>";
}
closetable();

echo "<br /><div class='forum-caption' style='margin: 0 auto; width:200px; text-align:center; text-weight:bold;'><a href='http://www.phpfusionmods.com/' target='_blank' title='Free PHP-Fusion Addons' />&copy; Who Is Where</a></div>";

require_once THEMES . "templates/footer.php";
?>